Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface Palette

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  PaletteImpl

    public interface Palette

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Palette'.

The following features are supported:

- `Diagram`
- `Flyout`
- `Groups`
- `Package Name`
- `Factory Class Name`

See Also:
  `GMFGenPackage.getPalette()`
** Generated **
Model:

Method Summary
`boolean` `definesStandardTools()`
`GenDiagram` `getDiagram()` Returns the value of the 'Diagram' container reference.
`java.lang.String` `getFactoryClassName()` Returns the value of the 'Factory Class Name' attribute
`java.lang.String` `getFactoryQualifiedClassName()`
`org.eclipse.emf.common.util.EList<ToolGroup>` `getGroups()` Returns the value of the 'Groups' containment reference list.
`java.lang.String` `getPackageName()` Returns the value of the 'Package Name' attribute
`boolean` `isFlyout()` Returns the value of the 'Flyout' attribute.
`void` `setFactoryClassName(java.lang.String value)` Sets the value of the '`Factory Class Name`' attribute
`void` `setFlyout(boolean value)` Sets the value of the '`Flyout`' attribute
`void` `setPackageName(java.lang.String value)` Sets the value of the '`Package Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDiagram

    GenDiagram getDiagram()

  Returns the value of the 'Diagram' container reference. It is bidirectional and its opposite is '`Palette`'.

  If the meaning of the 'Diagram' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagram' container reference.
  See Also:
    `GMFGenPackage.getPalette_Diagram()`, `GenDiagram.getPalette()`
  ** Generated **
  Model:
    opposite="palette" resolveProxies="false" required="true" transient="false" changeable="false"

### isFlyout

    boolean isFlyout()

  Returns the value of the 'Flyout' attribute. The default value is `"true"`.

  If the meaning of the 'Flyout' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Flyout' attribute.
  See Also:
    `setFlyout(boolean)`, `GMFGenPackage.getPalette_Flyout()`
  ** Generated **
  Model:
    default="true"

### setFlyout

    void setFlyout(boolean value)

  Sets the value of the '`Flyout`' attribute.

  Parameters:
    `value` - the new value of the 'Flyout' attribute.
  See Also:
    `isFlyout()`
  ** Generated **

### getGroups

    org.eclipse.emf.common.util.EList<ToolGroup> getGroups()

  Returns the value of the 'Groups' containment reference list. The list contents are of type `ToolGroup`. It is bidirectional and its opposite is '`Palette`'. GEF allows only containers as palette immediate children

  Returns:
    the value of the 'Groups' containment reference list.
  See Also:
    `GMFGenPackage.getPalette_Groups()`, `ToolGroup.getPalette()`
  ** Generated **
  Model:
    opposite="palette" containment="true" required="true"

### getPackageName

    java.lang.String getPackageName()

  Returns the value of the 'Package Name' attribute.

  If the meaning of the 'Package Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Package Name' attribute.
  See Also:
    `setPackageName(String)`, `GMFGenPackage.getPalette_PackageName()`
  ** Generated **
  Model:

### setPackageName

    void setPackageName(java.lang.String value)

  Sets the value of the '`Package Name`' attribute.

  Parameters:
    `value` - the new value of the 'Package Name' attribute.
  See Also:
    `getPackageName()`
  ** Generated **

### getFactoryClassName

    java.lang.String getFactoryClassName()

  Returns the value of the 'Factory Class Name' attribute.

  If the meaning of the 'Factory Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Factory Class Name' attribute.
  See Also:
    `setFactoryClassName(String)`, `GMFGenPackage.getPalette_FactoryClassName()`
  ** Generated **
  Model:

### setFactoryClassName

    void setFactoryClassName(java.lang.String value)

  Sets the value of the '`Factory Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Factory Class Name' attribute.
  See Also:
    `getFactoryClassName()`
  ** Generated **

### getFactoryQualifiedClassName

    java.lang.String getFactoryQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### definesStandardTools

    boolean definesStandardTools()

  ** Generated **
  Model:

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.